> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get all content types of a space GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/content_types Reference: https://contentful.com/developers/docs/references/content-management-api/content-types/get-all-content-types-of-a-space ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the Space in form of a string - `environment_id` (string, required) — ID of the environment in form of a string ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "items": [], "limit": 100, "skip": 0, "sys": { "type": "Array" }, "total": 0 } ``` **SDK Code** ```android Android // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); client .contentTypes() .async() .fetchAll( new CMACallback>() { @Override protected void onSuccess(CMAArray result) { // All content types Result in contentTypes method parameter. new AlertDialog.Builder(context) .setTitle("Contentful") .setMessage("List of all content type was successful." + "\n\nResult: " + result.getItems()) .show(); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Could not list all content type." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); ``` ```java Java // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); final CMAArray array = client .contentTypes() .fetchAll(); ``` ```kotlin Kotlin // Create the Contentful client. val client = CMAClient.Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build() val array = client .contentTypes() .fetchAll() ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) client.getSpace('') .then((space) => space.getEnvironment('')) .then((environment) => environment.getContentTypes()) .then((response) => console.log(response.items)) .catch(console.error) ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = createClient({ accessToken: '' }) await client.contentType.getMany({ spaceId: '', environmentId: '', }); ``` ```php PHP $client = new \Contentful\Management\Client(''); $environment = $client->getEnvironmentProxy('', ''); $contentTypes = $environment->getContentTypes(); ``` ```ruby Ruby require 'contentful/management' client = Contentful::Management::Client.new('') content_types = client.content_types('', '').all ``` ```python Python from contentful_management import Client client = Client('') content_types = client.content_types('', '').all() ``` ```.net .NET // This client should only be created once per application. var httpClient = new HttpClient(); var client = new ContentfulManagementClient(httpClient, "", ""); var contentTypes = await client.GetContentTypes(); ```